Name:           libpagemap
Version:        0.0.1 
Release:        22%{?dist}
Summary:        Pagemap interface library

Group:          System Environment/Libraries
License:        GPLv3+
URL:            https://github.com/pholasek/libpagemap
Source0:        https://github.com/pholasek/%{name}/archive/v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildRequires:  python-devel

%description
Package contains library and headers for using kernel pagemap interface

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Development files for %{name}.

%prep
%setup -q

%build
cd libpagemap-%{version}
make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
cd libpagemap-%{version}
make install DESTDIR=%{buildroot}
install -D -p -m 755 pagemapdata.py $RPM_BUILD_ROOT/%{python_sitelib}/pagemapdata.py

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/pgmap
%{_libdir}/libpagemap.so.*
%{python_sitelib}/pagemapdata.py*
%attr(0644,root,root) %{_mandir}/man1/pgmap.1*
%doc libpagemap-%{version}/contrib/
%doc libpagemap-%{version}/README
%doc libpagemap-%{version}/COPYING

%files devel
%defattr(-, root, root,-) 
%{_includedir}/libpagemap.h
%{_libdir}/libpagemap.so

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-19
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 21 2015 Petr Holasek <pholasek@redhat.com> - 0.0.1-17
- Upstream migrated to GitHub

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 09 2011 Petr Holasek <pholasek at redhat.com> - 0.0.1-9
- kernel version detecting was fixed for kernels 3.x

* Tue Apr 12 2011 Petr Holasek <pholasek at redhat.com> - 0.0.1-8
- python-devel was added to BuildRequires because of wrong expansion
  of %{python_sitelib} macro

* Wed Mar 30 2011 Petr Holasek <pholasek at redhat.com> - 0.0.1-7
- some compilator warnings were fixed

* Thu Mar 24 2011 Petr Holasek <pholasek at redhat.com> - 0.0.1-6
- pagemapvisual and pgmap utilities are able to print outputs in CSV 

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Petr Holasek <pholasek at redhat.com> 0.0.1-4
- added pagemapvisual script for plotting of memory metrics to contrib/
- basic parts of library were rewritten to python as pagemapdata.py module
- fixed memory leak in pgmap

* Fri Nov 26 2010 Petr Holasek <pholasek at redhat.com> 0.0.1-3
- fixed Makefile kernel's version detecting, it did problems in koji

* Mon Nov 22 2010 Petr Holasek <pholasek at redhat.com> 0.0.1-2
- development library libpagemap.so included in devel files
- %%doc attribute dropped from man page file entry
- wrong characters in man page corrected
- fixed access permissions for libpagemap.h file
- install argument -p added

* Fri Nov 19 2010 Petr Holasek <pholasek at redhat.com> 0.0.1-1
- Initial package 
